Bug 977478 - geeqie crashes by SIGSEGV
geeqie crashes by SIGSEGV
Status: CLOSED DUPLICATE of bug 678397
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 12:13 EDT by Michael Petlan
Modified: 2013-09-02 10:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 10:46:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Files geeqie is crashing with (69.96 KB, application/x-gzip)
2013-06-24 12:13 EDT, Michael Petlan
no flags Details

  None (edit)
Description Michael Petlan 2013-06-24 12:13:12 EDT
Created attachment 764691 [details]
Files geeqie is crashing with

Description of problem:

When I run geeqie in some directory, which contains "evil files", it is killed by SIGSEGV.

Version-Release number of selected component (if applicable):

geeqie-1.0-21.fc17.x86_64

Steps to Reproduce:
1. mkdir test; cd test
2. unpack the attached archive here
3. run geeqie various times

Actual results:

The geeqie crashes in most cases. In some cases it shows the svg file, but it shows non-senses.

Expected results:

The geeqie runs normally and shows the first picture of the directory.

Additional info:
This bug surely is close relative to bz607979. I can reproduce the crash also with the file attached to the bug bz607979. I didn't clone it, because the component of bz607979 had been changed to something else.
Comment 1 Michael Schwendt 2013-06-24 15:03:37 EDT
Also affects other components, such as GNOME Shell:
https://bugzilla.redhat.com/buglist.cgi?quicksearch=gray_find_cell&list_id=1474980

With Fedora 19 x86_64, I've had to try the test-case a dozen times before Geeqie would freeze. Minutes later ABRT caught a segfault: bug 977517
Comment 2 Fedora End Of Life 2013-07-03 21:06:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Michael Petlan 2013-07-04 11:21:03 EDT
(In reaction to Michael Schwendt from comment #1)
> Also affects other components, such as GNOME Shell:
> https://bugzilla.redhat.com/buglist.
> cgi?quicksearch=gray_find_cell&list_id=1474980
> 
> With Fedora 19 x86_64, I've had to try the test-case a dozen times before
> Geeqie would freeze. Minutes later ABRT caught a segfault: bug 977517

^^^ This bug _surely_ persists also on the newer versions of Fedora (see cited comment #1 by Michael Schwendt), so it shouldn't be closed because of being reported on some older Fedora.
Comment 4 Michael Schwendt 2013-09-02 10:46:24 EDT

*** This bug has been marked as a duplicate of bug 678397 ***

Note You need to log in before you can comment on or make changes to this bug.